=== debian/changelog ===
libgav1 (0.16.0-5~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 20 Feb 2021 01:15:42 -0500

libgav1 (0.16.0-5~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * debian/symbols: Dropped to ease backport. 

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Nov 2020 16:58:10 -0500

libgav1 (0.16.0-5) unstable; urgency=medium

  * Team upload.
  * debian/libgav1-0.symbols: Refresh symbols again.

 -- Boyuan Yang <byang@debian.org>  Sun, 08 Nov 2020 20:38:23 -0500

libgav1 (0.16.0-4) unstable; urgency=medium

  * Team upload.
  * debian/libgav1-0.symbols: Try to distinguish by symbol bits. 
  * debian/rules: Also explicitly disable AVX2 per baseline.

 -- Boyuan Yang <byang@debian.org>  Sat, 31 Oct 2020 12:26:14 -0400

libgav1 (0.16.0-3) unstable; urgency=medium

  * Team upload.
  * debian/libgav1-0.symbols: refresh symbols.
  * debian/rules: Adjust build flags to meet Debian's ISA baseline
    requirement.

 -- Boyuan Yang <byang@debian.org>  Fri, 30 Oct 2020 23:02:37 -0400

libgav1 (0.16.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Update package description to remove mentions
    of advanced build flags since we are not enabling them.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Oct 2020 10:19:44 -0400

libgav1 (0.16.0-1) unstable; urgency=medium

  * Initial release (Closes: #973288)

 -- qinxialei <xialeiqin@gmail.com>  Wed, 28 Oct 2020 17:35:33 +0800
