=== debian/changelog ===
libgav1 (0.17.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jul 2022 16:19:26 -0700

libgav1 (0.17.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Boyuan Yang ]
  * New upstream release 0.17.0. 

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 08:53:56 -0500

libgav1 (0.16.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to sid.

  [ qinxialei ]
  * d/copyright:
    + Update copyright

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 13:09:06 -0400

libgav1 (0.16.3-1~exp1) experimental; urgency=medium

  * New upstream version 0.16.3
  * d/control:
    + Bump Standards-Version to 4.5.1.
  * d/patches:
    + Update patch:Unbundling-abseil.patch
  * d/copyright:
    + Update copyright

 -- qinxialei <xialeiqin@gmail.com>  Thu, 22 Apr 2021 10:35:22 +0800
