=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 CXXFLAGS += $(CPPFLAGS)
 
-EXTRA_CONFIG_FLAGS = 
+EXTRA_CONFIG_FLAGS =
 
 # try to fix FTBFS on mipsel
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
@@ -33,10 +33,11 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -DBUILD_SHARED_LIBS=ON \
 	    $(EXTRA_CONFIG_FLAGS)
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
