=== debian/changelog ===
libgav1 (0.18.0-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/rules: Properly use pkgkde_symbolshelper dh plugin.
  * debian/control: Add build-dependency on pkg-kde-tools.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jul 2022 16:50:15 -0400

libgav1 (0.18.0-1~exp2) experimental; urgency=medium

  * debian/rules: Enable lto build.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jul 2022 12:32:14 -0400

libgav1 (0.18.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.18.0. (Closes: #1014934)
  * Refresh patches.
  * debian/control: Bump Standards-Version to 4.6.1.
  * Bump SONAME: 0 -> 1, with library package rename.
  * debian/libgav1-1.symbols: Reset symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Jul 2022 14:10:20 -0400
