=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
 https://chromium.googlesource.com/codecs/libgav1 \
 refs/tags/v([\d\.]+) debian uupdate
