=== debian/changelog ===
libgav1 (0.19.0-3) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add architecture-is-little-endian to build dependencies.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 3.7.1).

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Dec 2024 13:58:32 +0100

libgav1 (0.19.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable (Closes: #1068180)
  * debian/patches: Temporarily disable cpu test

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Apr 2024 15:14:00 +0200

libgav1 (0.19.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/0001-Unbundle-abseil.patch: Refresh the patch.
  * debian/patches/0002-Use-system-googletest.patch: Try to enable
    googletest.
  * debian/patches/0003-Use-C-14.patch: Force C++14 standard to avoid
    FTBFS with googletest.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Nov 2023 23:17:46 -0500
