=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: qinxialei <xialeiqin@gmail.com>
 Build-Depends:
+ architecture-is-little-endian,
  debhelper-compat (= 13),
- cmake (>= 3.7.1),
+ cmake,
  libabsl-dev,
  pkg-kde-tools,
-Standards-Version: 4.6.1
+ googletest <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://chromium.googlesource.com/codecs/libgav1/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgav1
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgav1.git
