## libgav1 0.20.0

=== debian/changelog ===
libgav1 (0.20.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Dec 2025 23:33:00 +0100

libgav1 (0.20.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.20.0
  * SONAME bump: libgav1-1 -> libgav1-2
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
  * debian/patches: Require C++17 (Closes: #1114172)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 23 Dec 2025 12:22:13 +0100
