=== debian/control ===
--- 
+++ 
@@ -10,13 +10,12 @@
  libabsl-dev,
  pkg-kde-tools,
  googletest <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://chromium.googlesource.com/codecs/libgav1/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgav1
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgav1.git
-Rules-Requires-Root: no
 
-Package: libgav1-1
+Package: libgav1-2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -29,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libgav1-1 (= ${binary:Version})
+Depends: ${misc:Depends}, libgav1-2 (= ${binary:Version})
 Description: AV1 decoder developed by Google -- development kit
  This package contains the header file and development library of gav1.
  Gav1 is A new decoder implementation for AV1 video encoding format (supporting
